package org.mathcs.ibookmark;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.PrintWriter;

public class Bookmark
{
	private String url;
	private String title;
	
	public Bookmark(String title, String url)
	{
		super();
		this.url = url;
		this.title = title;
	}

	public Bookmark(BufferedReader in) throws IOException
	{
		this(in.readLine(), in.readLine());
	}

	public String getUrl()
	{
		return url;
	}

	public void setUrl(String url)
	{
		this.url = url;
	}

	public String getTitle()
	{
		return title;
	}

	public void setTitle(String title)
	{
		this.title = title;
	}
	
	public String toString()
	{
		return title + "[" + url + "]";
	}
	
	public void save(PrintWriter out) throws IOException
	{
		out.println(title);
		out.println(url);
	}
}
